Skip to content
Start here

Purge Peeked Queue Messages

queues.messages.purge(strqueue_id, MessagePurgeParams**kwargs) -> MessagePurgeResponse
POST/accounts/{account_id}/queues/{queue_id}/messages/purge

Delete peeked messages from a Queue by their ref. Purged messages aren’t considered delivered, they are instantly deleted from this queue and do not affect metrics.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Queues WriteWorkers Scripts Write
ParametersExpand Collapse
account_id: str

A Resource identifier.

maxLength32
queue_id: str

A Resource identifier.

maxLength32
refs: Iterable[Ref]
ref: str

An opaque reference to a peeked message. You must hold on to this value and use it to purge the message.

ReturnsExpand Collapse
class MessagePurgeResponse:
errors: Optional[List[Error]]

Errors encountered while purging messages.

message: Optional[str]
warnings: Optional[Dict[str, str]]

Map of refs to warning messages encountered during purge.

Purge Peeked Queue Messages

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.queues.messages.purge(
    queue_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    refs=[{
        "ref": "eyJhbGciOiJkaXIiLCJlbmMiOiJBMjU2Q0JDLUhTNTEyIn0..Q8p21d7dceR6vUfwftONdQ.JVqZgAS-Zk7MqmqccYtTHeeMElNHaOMigeWdb8LyMOg.T2_HV99CYzGaQuhTyW8RsgbnpTRZHRM6N7UoSaAKeK0"
    }],
)
print(response.errors)
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "errors": [
      {
        "message": "message"
      }
    ],
    "warnings": {
      "foo": "string"
    }
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "errors": [
      {
        "message": "message"
      }
    ],
    "warnings": {
      "foo": "string"
    }
  },
  "success": true
}